{
  "name": "prueba-tecnica-inditex",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@craco/craco": "^7.1.0",
    "@tanstack/react-query": "^5.29.2",
    "@testing-library/dom": "9.3.3",
    "@testing-library/jest-dom": "^6.4.2",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^14.5.1",
    "@types/jest": "^29.5.12",
    "@types/node": "^16.18.96",
    "@types/react": "^18.2.79",
    "@types/react-dom": "^18.2.25",
    "@types/styled-components": "^5.1.34",
    "babel-jest": "^29.7.0",
    "bootstrap": "^5.3.3",
    "clsx": "^2.1.0",
    "jest": "29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "react": "^18.2.0",
    "react-bootstrap": "^2.10.2",
    "react-dom": "^18.2.0",
    "react-router-dom": "^6.22.3",
    "react-scripts": "5.0.1",
    "sass": "^1.75.0",
    "styled-components": "^6.1.8",
    "typescript": "^5.4.5",
    "web-vitals": "^2.1.4",
    "zustand": "^4.5.2"
  },
  "scripts": {
    "start": "craco start",
    "build": "craco build",
    "test": "jest --coverage",
    "lint": "eslint src",
    "lint:fix": "eslint src --fix",
    "format": "prettier --write src"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.16.7",
    "@jest/globals": "^29.7.0",
    "@tanstack/eslint-plugin-query": "^5.28.11",
    "@types/lodash": "^4.17.0",
    "@typescript-eslint/eslint-plugin": "^6.7.3",
    "@typescript-eslint/parser": "^6.7.3",
    "eslint": "^8.50.0",
    "eslint-config-prettier": "9.0.0",
    "eslint-config-react": "^1.1.7",
    "eslint-plugin-cypress": "^2.15.1",
    "eslint-plugin-import": "2.28.1",
    "eslint-plugin-prettier": "5.0.0",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "prettier": "^3.2.5",
    "ts-jest": "^29.1.2"
  }
}
